Loading...
Searching...
No Matches
SharedOpTransformer< InIterT, OutTreeT, OpT > Class Template Reference

`#include <openvdb/tools/ValueTransformer.h>`

## Public Types

using | InTreeT = typename InIterT::TreeT
using | IterRange = typename tree::IteratorRange<InIterT>
using | OutValueT = typename OutTreeT::ValueType

## Public Member Functions

| SharedOpTransformer (const InIterT &inIter, OutTreeT &outTree, OpT &op, MergePolicy merge)
| SharedOpTransformer (SharedOpTransformer &other, tbb::split)
| Splitting constructor.
| ~SharedOpTransformer ()
void | process (bool threaded=true)
void | operator() (const IterRange &range) const
| Transform each element in the given range.
void | join (const SharedOpTransformer &other)

## Member Typedef Documentation

## InTreeT

template<typename InIterT, typename OutTreeT, typename OpT>

using InTreeT = typename InIterT::TreeT

## IterRange

template<typename InIterT, typename OutTreeT, typename OpT>

using IterRange = typename tree::IteratorRange<InIterT>

## OutValueT

template<typename InIterT, typename OutTreeT, typename OpT>

using OutValueT = typename OutTreeT::ValueType

## Constructor & Destructor Documentation

## SharedOpTransformer() [1/2]

template<typename InIterT, typename OutTreeT, typename OpT>

SharedOpTransformer | ( | const InIterT & | inIter,
|  | OutTreeT & | outTree,
|  | OpT & | op,
|  | MergePolicy | merge )

inline

## SharedOpTransformer() [2/2]

template<typename InIterT, typename OutTreeT, typename OpT>

SharedOpTransformer | ( | SharedOpTransformer< InIterT, OutTreeT, OpT > & | other,
|  | tbb::split | )

inline

Splitting constructor.

## ~SharedOpTransformer()

template<typename InIterT, typename OutTreeT, typename OpT>

~SharedOpTransformer | ( |  | ) |

inline

## Member Function Documentation

## join()

template<typename InIterT, typename OutTreeT, typename OpT>

void join | ( | const SharedOpTransformer< InIterT, OutTreeT, OpT > & | other | ) |

inline

## operator()()

template<typename InIterT, typename OutTreeT, typename OpT>

void operator() | ( | const IterRange & | range | ) | const

inline

Transform each element in the given range.

## process()

template<typename InIterT, typename OutTreeT, typename OpT>

void process | ( | bool | threaded = true | ) |

inline